LibreOffice LibreOffice 7.2 SDK API Reference

Classes | Modules
DataSource.idl File Reference
`import "com/sun/star/io/XPersistObject.idl";`
`import "com/sun/star/beans/XPropertySet.idl";`
`import "com/sun/star/beans/PropertyValue.idl";`
`import "com/sun/star/util/XFlushable.idl";`
`import "com/sun/star/util/XNumberFormatsSupplier.idl";`

Go to the source code of this file.

## Classes
service | DataSource
| is a factory to establish database connections. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.
module | com::sun::star::sdb
| Basic interfaces for database access.